Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_oid_init_from_data()

## Synopsis

    void
    bson_oid_init_from_data (bson_oid_t *oid, const uint8_t *data);

## Parameters

- `oid`: A bson_oid_t.

- `data`: A buffer containing 12 bytes for the oid.

## Description

Initializes a bson_oid_t using the raw buffer provided.